\set ECHO none
SET search_path TO eracer, public;

-- I/O functions: basis_in and basis_out
SELECT '2000;0|1;0;0|i;-1;0'::basis;

-- basis constructors
INSERT INTO node VALUES
  (1, new_basis(1)),
  (2, new_basis(2, 1));

-- info type/accessor
SELECT (ti).* FROM (
  SELECT get_info(t) AS ti
  FROM node ORDER BY nid
) AS q1;

-- PDF support functions
SELECT expect(t), stddev(t), confint(t, .98)
  FROM node ORDER BY nid;
SELECT diverge(new_basis(0,1), new_basis(0,2));
