\set ECHO none
SET search_path TO eracer, public;

-- missing/corrupt data
INSERT INTO node VALUES
  (3, new_basis(NULL)),
  (4, new_basis(45,6));

INSERT INTO link VALUES
  (3, 1, 1),
  (3, 2, 1),
  (4, 1, 1),
  (4, 2, 1);

INSERT INTO model VALUES
  (1, 'ti ~ tn', .99, 2.5, 100, 1, 0, 2);

SELECT model_sync();
SELECT set_round(1), set_version(7);

-- deprecated: multiple model tables
CREATE TABLE model_a AS
  SELECT * FROM model;
SELECT model_sync('a');

-- erace aggregate (erace_trans and erace_final)
SELECT (erace(i, n)).*
FROM node AS i
  LEFT JOIN link AS l ON i.nid = l.dst
  LEFT JOIN node AS n ON l.src = n.nid
GROUP BY i
ORDER BY nid;
